<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN">
<html><head><meta http-equiv="Content-Type" content="text/html;charset=iso-8859-1">
<title>celEnvGravity Class Reference (CEL: Crystal Entity Layer 2.0 Public API Reference)</title>
<link href="tabs.css" rel="stylesheet" type="text/css">
<link href="doxygen.css" rel="stylesheet" type="text/css">
</head><body>
<table border="0" cellpadding="0" cellspacing="0" width="100%" class="head">
 <tr height="59">
  <td class="head" width="202" valign="bottom" style="padding-left:0;"><a href="http://cel.crystalspace3d.org/"><img src="celblur.png" width="210" height="59" alt="CEL" border="0"></a></td>
  <td class="head"><h2>Public API Reference</h2></td>
 </tr>
 <tr height="11">
  <td colspan="2" class="headshadow" valign="top" style="padding-left:0;"><img src="celshadow.png" width="9" height="11" alt="" border="0"></td>
 </tr>
</table>
<div class="content">
<!-- Generated by Doxygen 1.7.6.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="hierarchy.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="summary">
<a href="#pub-attribs">Public Attributes</a>  </div>
  <div class="headertitle">
<div class="title">celEnvGravity Class Reference</div>  </div>
</div><!--header-->
<div class="contents">
<!-- doxytag: class="celEnvGravity" --><!-- doxytag: inherits="scfImplementationExt1&lt; celEnvGravity, csObject, scfFakeInterface&lt; celEnvGravity &gt; &gt;" -->
<p>A class implementing gravity in a sector.  
 <a href="classcelEnvGravity.html#details">More...</a></p>

<p><code>#include &lt;<a class="el" href="mechenv_8h_source.html">propclass/mechenv.h</a>&gt;</code></p>
<div class="dynheader">
Inheritance diagram for celEnvGravity:</div>
<div class="dyncontent">
 <div class="center">
  <img src="classcelEnvGravity.png" usemap="#celEnvGravity_map" alt=""/>
  <map id="celEnvGravity_map" name="celEnvGravity_map">
<area doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/classscfImplementationExt1.html" alt="scfImplementationExt1&lt; celEnvGravity, csObject, scfFakeInterface&lt; celEnvGravity &gt; &gt;" shape="rect" coords="0,0,506,24"/>
</map>
 </div></div>

<p><a href="classcelEnvGravity-members.html">List of all members.</a></p>
<table class="memberdecls">
<tr><td colspan="2"><h2><a name="pub-attribs"></a>
Public Attributes</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/classcsVector3.html">csVector3</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classcelEnvGravity.html#a3932e582dc45621e7b1324347c18ca4d">gravity</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">The acceleration due to gravity in this sector.  <a href="#a3932e582dc45621e7b1324347c18ca4d"></a><br/></td></tr>
</table>
<hr/><a name="details" id="details"></a><h2>Detailed Description</h2>
<div class="textblock"><p>A class implementing gravity in a sector. </p>

<p>Definition at line <a class="el" href="mechenv_8h_source.html#l00094">94</a> of file <a class="el" href="mechenv_8h_source.html">mechenv.h</a>.</p>
</div><hr/><h2>Member Data Documentation</h2>
<a class="anchor" id="a3932e582dc45621e7b1324347c18ca4d"></a><!-- doxytag: member="celEnvGravity::gravity" ref="a3932e582dc45621e7b1324347c18ca4d" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/classcsVector3.html">csVector3</a> <a class="el" href="classcelEnvGravity.html#a3932e582dc45621e7b1324347c18ca4d">celEnvGravity::gravity</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>The acceleration due to gravity in this sector. </p>

<p>Definition at line <a class="el" href="mechenv_8h_source.html#l00106">106</a> of file <a class="el" href="mechenv_8h_source.html">mechenv.h</a>.</p>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li>propclass/<a class="el" href="mechenv_8h_source.html">mechenv.h</a></li>
</ul>
</div><!-- contents -->
<hr size="1"><address><small>Generated for CEL: Crystal Entity Layer 2.0 by 
<a href="http://www.doxygen.org/index.html">doxygen</a> 1.7.6.1 
</small></address> </div></body> </html>
